
#ifndef BOARD_H
#define BOARD_H

#include "SDL/SDL.h"
#include "SDL/SDL_gfxPrimitives.h"
#include "SDL/SDL_ttf.h"

#include "block.h"

#include <iostream>
using namespace std;

class Board { 
	
	private:

		Block **blocks;

		int _blockWidth, _blockHeight;
		int _turn;

		void setBlockWidth( int );
		void setBlockHeight( int ) ;
		void setTurn( int );

		void switchTurn();

		int blockWidth() const;
		int blockHeight() const;
		int turn() const;

		Block *operator[]( int ) const;

		void drawTable( SDL_Surface* );
		void drawBlock( SDL_Surface*, int, int );

		bool clicked( int );
		bool hasEmptyBlock( int );
		bool addPiece( int );
		int checkWinning();
		bool noEmptyBlock();

		const static int red = 1, blue = -1;

	public:

		const static int width = 7, height = 6;
		const static int draw = 2;
		
		Board( SDL_Surface*, int, int );
		~Board();
		Board( const Board& );
		void operator=( const Board& );

		int run( SDL_Surface* );

		void showWinner( SDL_Surface* );

};

#endif

