
#include "SDL/SDL.h"

#include "board.h"

void closeProgram( Board *board ) {
	delete board;
	SDL_Quit();
	exit( 0 );
}

int main () {
	
	SDL_Init( SDL_INIT_EVERYTHING );

	const SDL_VideoInfo *videoInfo = SDL_GetVideoInfo();
	SDL_Surface *screen = SDL_SetVideoMode( videoInfo->current_w / 2, videoInfo->current_h / 2, 32, SDL_RESIZABLE );

	Board *board = new Board( screen, 7, 6 );

	if ( !board->run( screen ) )
		closeProgram( board );

	board->showWinner( screen );
	SDL_Flip( screen );
	
	SDL_Event event;

	while ( 1 ) {
		while ( SDL_PollEvent( &event ) ){
			if ( event.type == SDL_QUIT )
				closeProgram( board );
			
			if ( event.type == SDL_KEYDOWN ) {
				if ( event.key.keysym.sym == SDLK_F4 )
					if ( event.key.keysym.mod != 0 && ( event.key.keysym.mod & KMOD_ALT ) )
						closeProgram( board );
			}
		}
	}

	return 0;
}
